Subject: Re: [PATCH] 2.6.18-rt7: PowerPC: fix breakage in threaded fasteoi type IRQ handlers

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 20 Nov 2006 07:41:25 +1100

>     This is not implicit -- CPU has to read INTACK reg. on OpenPIC.

Which is what I meant... "implicit by reading the vector".

> Really implicit method is in action on x86 where CPU issues dual ACK bus cycle to get 
> the vector form 8259...

Which you can do on OpenPIC too. It's the same idea. The concept that
obtaining the vector performs the ack.

> > EOI is a more "high level" thing that some "intelligent" PICs that
> > automatically raise the priority do to restore the priority to what it
> > was before the interrupt occured.
> 
>     Thank you, I know. Even 8259 has the notion of priority and EOI works the 
> same way here.

Ok, so why would you need an ack there then while eoi is just what you
need ? :-)

Also, that's interesting what you are saying about 8259... I should be
able to convert ppc's i8259 to use fasteoi too...

Ben.